Public Attributes | List of all members
_ll_qspi_memorymapped_init_t Struct Reference
Peripheral Driver » LL Driver » QSPI » Structures » QSPI Exported init structure

`#include <gr55xx_ll_qspi.h>`

## Public Attributes
uint32_t | clock_polarity
uint32_t | clock_phase
uint32_t | baud_rate
uint32_t | rx_sample_delay
ll_qspi_memorymapped_mode_e | rw_mode
ll_qspi_memorymapped_read_init_t | rd
ll_qspi_memorymapped_write_init_t | wr

## Detailed Description

Definition at line 236 of file gr55xx_ll_qspi.h.

## Member Data Documentation

## ◆ baud_rate

uint32_t _ll_qspi_memorymapped_init_t::baud_rate

Specifies the BaudRate prescaler value which will be used to configure the transmit and receive SCK clock. This parameter can be one even value between 2 and 65534, if the value is 0, the SCLK is disable.

Note
  The communication clock is derived from the master clock. The slave clock does not need to be set. This feature can be modified afterwards using unitary function ll_qspi_set_baud_rate_prescaler().

Definition at line 250 of file gr55xx_ll_qspi.h.

## ◆ clock_phase

uint32_t _ll_qspi_memorymapped_init_t::clock_phase

Specifies the clock active edge for the bit capture. This parameter can be a value of Clock Phase. This feature can be modified afterwards using unitary function ll_qspi_set_clock_phase().

Definition at line 246 of file gr55xx_ll_qspi.h.

## ◆ clock_polarity

uint32_t _ll_qspi_memorymapped_init_t::clock_polarity

Specifies the serial clock steady state. This parameter can be a value of Clock Polarity. This feature can be modified afterwards using unitary function ll_qspi_set_clock_polarity().

Definition at line 242 of file gr55xx_ll_qspi.h.

## ◆ rd

ll_qspi_memorymapped_read_init_t _ll_qspi_memorymapped_init_t::rd

Specifies the initized params for read, must set

Definition at line 260 of file gr55xx_ll_qspi.h.

## ◆ rw_mode

ll_qspi_memorymapped_mode_e _ll_qspi_memorymapped_init_t::rw_mode

Specifies the access mode for memorymapped: readonly or read&write

Definition at line 258 of file gr55xx_ll_qspi.h.

## ◆ rx_sample_delay

uint32_t _ll_qspi_memorymapped_init_t::rx_sample_delay

Specifies the RX sample delay. It is used to delay the sample of the RX input port. This parameter can be a number between 0 and 0x7

Definition at line 255 of file gr55xx_ll_qspi.h.

## ◆ wr

ll_qspi_memorymapped_write_init_t _ll_qspi_memorymapped_init_t::wr

Specifies the initized params for write, if rw_mode is readonly, leave un-set

Definition at line 262 of file gr55xx_ll_qspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_qspi.h